Skip to main content
`Ctrl`+`K`

# TaoSetIterationNumber

Sets the current iteration number.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetIterationNumber(Tao tao, PetscInt iter)

Logically Collective

## Input Parameters

- tao - the `Tao` context

- iter - iteration number

## See Also

TAO: Optimization Solvers, `Tao`, `TaoGetLinearSolveIterations()`

## Level

developer

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages